%global _vpath_srcdir src
%undefine __cmake_in_source_dir

Name:           voro++
Version:        0.4.6
Release:    1%{?dist}
Summary:        Library for 3D computations of the Voronoi tessellation

License:        LBNL BSD
URL:            http://math.lbl.gov/voro++/
Source0:        http://math.lbl.gov/voro++/download/dir/%{name}-%{version}.tar.gz
Source1:        CMakeLists.txt

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  make

Patch0:         voro++_virtual-destructor.patch
Patch1:         voro++_man.patch

%description
Voro++ is a software library for carrying out three-dimensional computations
of the Voronoi tessellation. A distinguishing feature of the Voro++ library
is that it carries out cell-based calculations, computing the Voronoi cell for
each particle individually. It is particularly well-suited for applications
that rely on cell-based statistics, where features of Voronoi cells (e.g.
volume, centroid, number of faces) can be used to analyze a system of particles.


%package devel
Summary:        %{name} headers
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for %{name}.


%package doc
Summary:        %{name} documentation
BuildArch:      noarch

%description doc
Documentation for %{name}.


%prep
%autosetup -p1

cp -a %{SOURCE1} src


%build
%cmake
%cmake_build

%install
%cmake_install
install -Dpm 0644 man/voro++.1 %{buildroot}%{_mandir}/man1/voro++.1

find examples -name "*.cc" -exec sed -i 's/"voro++.hh"/<voro++\/voro++.hh>/g' '{}' \;
cp config.mk examples/
find examples -name "Makefile" -exec sed -i 's/..\/..\/config.mk/..\/config.mk/g' '{}' \;




%files
%doc LICENSE README NEWS
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/*
%{_libdir}/lib%{name}.so

%files doc
%doc LICENSE
%doc html/
%doc examples/
%doc scripts/


%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.6-1
- initial build
